Name:           perl-JIRA-Client
Version:        0.40
Release:        1%{?dist}
Summary:        Extended interface to JIRA's SOAP API
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/JIRA-Client/
Source0:        http://www.cpan.org/authors/id/G/GN/GNUSTAVO/JIRA-Client-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Data::Util)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(SOAP::Lite)
BuildRequires:  perl(Test::More)
Requires:       perl(Data::Util)
Requires:       perl(SOAP::Lite)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
JIRA is a proprietary bug tracking system from Atlassian
(http://www.atlassian.com/software/jira/).

%prep
%setup -q -n JIRA-Client-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes dist.ini LICENSE README TODO
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sat Oct 12 2013 Bryan Seitz <seitz@ghettoforge.org> 0.40-1
- Initial build for GhettoForge
